## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 7;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name yaml2ical

%global common_description %{expand:
yaml2ical converts a series of meeting descriptions in YAML format
into one or several .ics files suitable for calendaring. It checks for
scheduling conflicts in specific locations.}

Name:           python-%{pypi_name}
Version:        0.13.0
Release:        %autorelease
Summary:        Convert YAML meeting descriptions into iCalendar files

License:        Apache-2.0
URL:            https://opendev.org/opendev/yaml2ical
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  sed
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description
%{common_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
%{common_description}

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove unnecessary shebang
sed -e '\|#!/usr/bin/env python|d' -i yaml2ical/tests/sample_data.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
# https://storyboard.openstack.org/#!/story/2010548
%pytest --deselect=yaml2ical/tests/test_meeting.py::MeetingTestCase::test_skip_meeting

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/yaml2ical

%changelog
* Tue Jan 24 2023 Davide Cavalca <dcavalca@fedoraproject.org> 0.13.0-7
- Disable failing test for now

* Tue Jan 24 2023 Davide Cavalca <dcavalca@fedoraproject.org> 0.13.0-6
- Convert to pyproject macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.13.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.13.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 0.13.0-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Oct 31 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.13.0-1
- Update to 0.13.0; Fixes: RHBZ#1995187

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.12.0-2
- Rebuilt for Python 3.10

* Wed Apr 07 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.12.0-1
- Update to 0.12.0

* Tue Feb 16 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.11.0-1
- New upstream release

* Tue Feb 02 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.10.0-2
- Drop unnecessary Requires
- Switch to py_provides
- Remove unnecessary shebang

* Tue Feb 02 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.10.0-1
- Initial package.

